Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ContactInfo

    java.lang.Object
      com.nortel.soa.oi.cct.types.ContactInfo

    public class ContactInfo

extends java.lang.Object

Java class for contactInfo complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="contactInfo">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="calledAddress" type="{http://www.nortel.com/soa/oi/cct/types}address"/>
             <element name="callingAddress" type="{http://www.nortel.com/soa/oi/cct/types}address"/>
             <element name="callingTerminal" type="{http://www.nortel.com/soa/oi/cct/types}terminal"/>
             <element name="capabilities" type="{http://www.nortel.com/soa/oi/cct/types}contactCapabilities"/>
             <element name="connections" type="{http://www.nortel.com/soa/oi/cct/types}connection" maxOccurs="unbounded"/>
             <element name="lastRedirectedAddress" type="{http://www.nortel.com/soa/oi/cct/types}address"/>
             <element name="originalDestination" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ContactInfo()`

Method Summary
`Address` | `getCalledAddress()` Gets the value of the calledAddress property.
`Address` | `getCallingAddress()` Gets the value of the callingAddress property.
`Terminal` | `getCallingTerminal()` Gets the value of the callingTerminal property.
`ContactCapabilities` | `getCapabilities()` Gets the value of the capabilities property.
`java.util.List<Connection>` | `getConnections()` Gets the value of the connections property.
`Address` | `getLastRedirectedAddress()` Gets the value of the lastRedirectedAddress property.
`java.lang.String` | `getOriginalDestination()` Gets the value of the originalDestination property.
`void` | `setCalledAddress(Address value)` Sets the value of the calledAddress property.
`void` | `setCallingAddress(Address value)` Sets the value of the callingAddress property.
`void` | `setCallingTerminal(Terminal value)` Sets the value of the callingTerminal property.
`void` | `setCapabilities(ContactCapabilities value)` Sets the value of the capabilities property.
`void` | `setLastRedirectedAddress(Address value)` Sets the value of the lastRedirectedAddress property.
`void` | `setOriginalDestination(java.lang.String value)` Sets the value of the originalDestination property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactInfo

    public ContactInfo()

Method Detail

### getCalledAddress

    public Address getCalledAddress()

  Gets the value of the calledAddress property.

  Returns:
    possible object is `Address`

### setCalledAddress

    public void setCalledAddress(Address value)

  Sets the value of the calledAddress property.

  Parameters:
    `value` - allowed object is `Address`

### getCallingAddress

    public Address getCallingAddress()

  Gets the value of the callingAddress property.

  Returns:
    possible object is `Address`

### setCallingAddress

    public void setCallingAddress(Address value)

  Sets the value of the callingAddress property.

  Parameters:
    `value` - allowed object is `Address`

### getCallingTerminal

    public Terminal getCallingTerminal()

  Gets the value of the callingTerminal property.

  Returns:
    possible object is `Terminal`

### setCallingTerminal

    public void setCallingTerminal(Terminal value)

  Sets the value of the callingTerminal property.

  Parameters:
    `value` - allowed object is `Terminal`

### getCapabilities

    public ContactCapabilities getCapabilities()

  Gets the value of the capabilities property.

  Returns:
    possible object is `ContactCapabilities`

### setCapabilities

    public void setCapabilities(ContactCapabilities value)

  Sets the value of the capabilities property.

  Parameters:
    `value` - allowed object is `ContactCapabilities`

### getConnections

    public java.util.List<Connection> getConnections()

  Gets the value of the connections property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the connections property.

  For example, to add a new item, do as follows:

          getConnections().add(newItem);

  Objects of the following type(s) are allowed in the list `Connection`

### getLastRedirectedAddress

    public Address getLastRedirectedAddress()

  Gets the value of the lastRedirectedAddress property.

  Returns:
    possible object is `Address`

### setLastRedirectedAddress

    public void setLastRedirectedAddress(Address value)

  Sets the value of the lastRedirectedAddress property.

  Parameters:
    `value` - allowed object is `Address`

### getOriginalDestination

    public java.lang.String getOriginalDestination()

  Gets the value of the originalDestination property.

  Returns:
    possible object is `String`

### setOriginalDestination

    public void setOriginalDestination(java.lang.String value)

  Sets the value of the originalDestination property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.